Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.support
Interface AutowireCandidateResolver

All Known Implementing Classes:
  QualifierAnnotationAutowireCandidateResolver, SimpleAutowireCandidateResolver

    public interface AutowireCandidateResolver

Strategy interface for determining whether a specific bean definition qualifies as an autowire candidate for a specific dependency.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller

Method Summary
`Object` | `getSuggestedValue(DependencyDescriptor descriptor)` Determine whether a default value is suggested for the given dependency.
`boolean` | `isAutowireCandidate(BeanDefinitionHolder bdHolder, DependencyDescriptor descriptor)` Determine whether the given bean definition qualifies as an autowire candidate for the given dependency.

Method Detail

### isAutowireCandidate

    boolean isAutowireCandidate(BeanDefinitionHolder bdHolder,
                                DependencyDescriptor descriptor)

  Determine whether the given bean definition qualifies as an autowire candidate for the given dependency.

  Parameters:
    `bdHolder` - the bean definition including bean name and aliases
    `descriptor` - the descriptor for the target method parameter or field
  Returns:
    whether the bean definition qualifies as autowire candidate

### getSuggestedValue

    Object getSuggestedValue(DependencyDescriptor descriptor)

  Determine whether a default value is suggested for the given dependency.

  Parameters:
    `descriptor` - the descriptor for the target method parameter or field
  Returns:
    the value suggested (typically an expression String), or `null` if none found
  Since:
    3.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD